Subject: Re: [PATCH] allow coherent DMA API to work before main page allocator is set up

From: Dan Malek <[email-masked]>
Date: Sat, 21 May 2005 17:21:47 -0400

On May 20, 2005, at 1:51 PM, Marcelo Tosatti wrote:

> I must be missing something very obvious here, can you explain how
> did you arrange things in v2.4 such that the console's ->setup
> method is called _after_ mem_init() ?

The driver used to use the serial port configuration as left by the
boot rom until very late into the initialization.  As I have said many
times in the past, the serial driver went through three different
levels of configuration.  There was an early configuration that was
used for kgdb, a later one used by the serial kernel printk, and
finally a full configuration by the serial driver.

It's sad that "moving forward" is done at a cost of throwing away
features that were important.  The hack to allocate from boot memory
is a quick fix, but this further ensures features like pinned TLB
entries won't work.

Thanks.

	-- Dan